The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> putwchar - put a wide character on a stdout stream

#### SYNOPSIS

> ``#include <wchar.h>
> wint_t putwchar(wchar_t` wc`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of IEEE Std 1003.1-2001 defers to the ISO C standard.

> The function call putwchar(wc) shall be equivalent to putwc(wc,stdout).

#### RETURN VALUE

> Refer to fputwc().

#### ERRORS

> Refer to fputwc().

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> fputwc(), putwc(), the Base Definitions volume of IEEE Std 1003.1-2001, <wchar.h>

#### CHANGE HISTORY

> First released in Issue 4.

#### Issue 5

> Aligned with ISO/IEC 9899:1990/Amendment 1:1995 (E). Specifically, the type of argument wc is changed from wint_t to wchar_t.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]